## cecil-flowanalysis 0.1~svn.68457

=== Makefile ===
MCS = mcs
KEY_FILE = ../../mcs/class/mono.snk
MCS_FLAGS = -keyfile:$(KEY_FILE)
BUILD.DIR = bin
MONO.CECIL.DLL = ../lib/Mono.Cecil.dll

all: init
	$(MCS) $(MCS_FLAGS) @Cecil.FlowAnalysis.sources /target:library /out:$(BUILD.DIR)/Cecil.FlowAnalysis.dll /r:$(BUILD.DIR)/Mono.Cecil.dll

init:
	mkdir -p $(BUILD.DIR)
	cp $(MONO.CECIL.DLL) $(BUILD.DIR)/
	find Cecil.FlowAnalysis -name "*.cs" > Cecil.FlowAnalysis.sources

clean:
	rm -fr $(BUILD.DIR)

rebuild: clean all

## cecil-flowanalysis 0.1~vcs20110809.r1.b34edf6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 KEY_FILE = ../../mcs/class/mono.snk
 MCS_FLAGS = -keyfile:$(KEY_FILE)
 BUILD.DIR = bin
-MONO.CECIL.DLL = ../lib/Mono.Cecil.dll
+MONO.CECIL.DLL = ../../mcs/class/Mono.Cecil/Mono.Cecil.dll
 
 all: init
 	$(MCS) $(MCS_FLAGS) @Cecil.FlowAnalysis.sources /target:library /out:$(BUILD.DIR)/Cecil.FlowAnalysis.dll /r:$(BUILD.DIR)/Mono.Cecil.dll

=== debian/changelog ===
cecil-flowanalysis (0.1~vcs20110809.r1.b34edf6-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 19:29:01 +0100

cecil-flowanalysis (0.1~vcs20110809.r1.b34edf6-3) unstable; urgency=medium

  * [7380fd8] Convert to DH7 rules format
  * [beeb446] Fix keyfile location used by makefile
  * [ed7439f] Delete obsolete patch
  * [7f8ea6e] Ignore ole32 moduleref in Mono.Cecil.Pdb

 -- Jo Shields <jo.shields@xamarin.com>  Tue, 10 Nov 2015 10:49:11 +0000

cecil-flowanalysis (0.1~vcs20110809.r1.b34edf6-2) unstable; urgency=low

  * No-change rebuild for CLR 4.0 transition

 -- Iain Lane <laney@debian.org>  Wed, 10 Aug 2011 00:52:50 +0100

cecil-flowanalysis (0.1~vcs20110809.r1.b34edf6-1) experimental; urgency=low

  * New upstream snapshot
  * Depend on CLR 4.0 version of nant and new cli-common-dev
  * Make library unstable; should not be in the GAC. Consumers must now copy
    the library to make use of it
  * Switch to 3.0 (quilt) to include mono.snk directly
  * Standards-Version → 3.9.2, no changes required
  * Provide build-arch and build-indep targets, as recommended

 -- Iain Lane <laney@debian.org>  Tue, 09 Aug 2011 23:12:56 +0100

cecil-flowanalysis (0.1~svn.128879-3) unstable; urgency=low

  * debian/control:
    + Stricter versioning of build-depends

 -- Jo Shields <directhex@apebox.org>  Mon, 25 Jan 2010 14:01:52 +0000

cecil-flowanalysis (0.1~svn.128879-2) unstable; urgency=low

  * debian/control:
     + Update nunit build-dep to use -cil-dev package (Closes: #564380)
     + Update nant build-dep to be bpo friendly.
  * debian/rules: Make get-orig-source policy conformant.
  * debian/patches/02_cecil_location.dpatch, debian/rules: Add new patch to
    copy cecil using pkg-config to discover location of the dll. Also tell
    nant about the new location in rules.
  * debian/README.source: Add, taken from dpatch package. 

 -- Iain Lane <laney@ubuntu.com>  Tue, 19 Jan 2010 20:06:24 +0000

cecil-flowanalysis (0.1~svn.128879-1) unstable; urgency=low

  * Updated SVN snapshot release
  * To cope with broken ABI compatibility from the last "0.1.0.0" 
    version we snapshotted, we're adding an "a" into the package name
  * debian/patches/01_fix_nunit_reference.dpatch:
    + Refreshed
  * debian/control:
    + Bump to standards version 3.8.3
    + Write a better package description (Closes: #493513)
    + Remove Jelmer from Uploaders
  * debian/rules:
    + Write a get-orig-source rule
  * debian/libmono-cecil-flowanalysis0.1a-cil.installcligac
    debian/libmono-cecil-flowanalysis0.1a-cil.install,
    debian/cecil-flowanalysis.pc:
    + CLI Policy 0.7 install location
  * debian/patches/00_use_csc.dpatch:
    + Use mono-csc instead
  * debian/libmono-cecil-flowanalysis-cil-dev.install,
    debian/libmono-cecil-flowanalysis0.1a-cil.install,
    debian/control:
    + Create unversioned -dev package containing .pc file
  * debian/control,
    debian/rules:
    + Make use of Cecil's unversioned -dev package, and ensure hard-coded
      lib path passed to NAnt is CLI Policy 0.7 compliant (Closes: #556837)
  * debian/dirs:
    + Remove

 -- Jo Shields <directhex@apebox.org>  Tue, 08 Dec 2009 11:19:46 +0000

cecil-flowanalysis (0.1~svn.68457-7) unstable; urgency=low

  [ Jo Shields ]
  * debian/control:
    + Add Vcs-* fields

  [ Iain Lane ]
  * debian/patches/00_use_csc.dpatch: Add. Patch hardcoded mcs call in
    Makefile to use csc for the Mono 2 transition. 
  * debian/control: Update build-deps for Mono 2.0

  [ Mirco Bauer ]
  * debian/control:
    + Removed mono-devel build-dep as nant takes care of that.
    + Versioned nant build-dep to >= 0.85.dfsg1-6, to ensure we get a
      transitioned version.

 -- Mirco Bauer <meebey@debian.org>  Sat, 07 Mar 2009 18:42:55 +0100

cecil-flowanalysis (0.1~svn.68457-6) unstable; urgency=low

  * Bump standards version to 3.8.0.
  * Avoid doing anything in binary-arch because package is arch-indep.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 14 Jun 2008 15:33:29 +0200

cecil-flowanalysis (0.1~svn.68457-5) unstable; urgency=low

  * Fix build against nunit for testsuite. (Closes: #484202)

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 14 Jun 2008 15:19:27 +0200

cecil-flowanalysis (0.1~svn.68457-4) unstable; urgency=low

  * The "you shouldn't be allowed to do certain things at certain hours"
    release.
  * Actually fix .pc file (and test before uploading).

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 19 Apr 2007 00:08:49 +0200

cecil-flowanalysis (0.1~svn.68457-3) unstable; urgency=low

  * Fix route in .pc file

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed, 18 Apr 2007 23:57:56 +0200

cecil-flowanalysis (0.1~svn.68457-2) unstable; urgency=low

  * Add a pkg-config .pc file.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed, 18 Apr 2007 23:10:59 +0200

cecil-flowanalysis (0.1~svn.68457-1) unstable; urgency=low

  * Initial release.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 10 Apr 2007 00:40:42 +0200

=== debian/control ===
Source: cecil-flowanalysis
Section: libs
Priority: optional
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>
Build-Depends: debhelper (>= 7), mono-devel (>= 2.10)
Build-Depends-Indep: cli-common-dev (>= 0.8~),
                     libmono-cecil-cil-dev (>= 0.9.5),
                     libnunit-cil-dev
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cli-libs/packages/cecil-flowanalysis/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-cli-libs/packages/cecil-flowanalysis/trunk/

Package: libmono-cecil-flowanalysis-cil
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Conflicts: libmono-cecil-flowanalysis0.1-cil,
           libmono-cecil-flowanalysis0.1a-cil (<= 0.1~svn.128879-3)
Replaces: libmono-cecil-flowanalysis0.1-cil
Description: FlowAnalysis extension for Mono.Cecil
 Cecil.FlowAnalysis is an extension for the Cecil CIL-mangling library
 which enhances the ability to read back and analyse program execution
 patterns and flow.
 .
 This package contains the Cecil.FlowAnalysis library itself

Package: libmono-cecil-flowanalysis-cil-dev
Architecture: all
Depends: libmono-cecil-flowanalysis-cil (= ${binary:Version}), ${misc:Depends}
Replaces: libmono-cecil-flowanalysis0.1-cil
Description: FlowAnalysis extension for Mono.Cecil
 Cecil.FlowAnalysis is an extension for the Cecil CIL-mangling library
 which enhances the ability to read back and analyse program execution
 patterns and flow.
 .
 This package contains development files for the Cecil.FlowAnalysis
 library, and should be used for compilation

=== debian/rules ===
#!/usr/bin/make -f

override_dh_clideps:
	dh_clideps --exclude-moduleref=ole32.dll

%:
	dh $@ --with cli
